package com.ejie.m62fb.model.tipos;

public class TipoAdjudicacion extends AbstractTipoGenericoR09 {

	private static final long serialVersionUID = 1L;

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final String NUM_REGISTRO = R09Tipos.TIPO_ADJUDICACION;

	/**
	 * Method 'TipoAdjudicacion'.
	 */
	public TipoAdjudicacion() {
		super(TipoAdjudicacion.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoAdjudicacion'.
	 * 
	 * @param idElereg
	 *            String
	 */
	public TipoAdjudicacion(String idElereg) {
		super(TipoAdjudicacion.NUM_REGISTRO, idElereg);
	}

	/**
	 * Method 'TipoAdjudicacion'.
	 * 
	 * @param idElereg
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoAdjudicacion(String idElereg, String descripcionEs,
			String descripcionEu) {
		super(TipoAdjudicacion.NUM_REGISTRO, idElereg, descripcionEs,
				descripcionEu);
	}
}